// To handle fixed panel in landscape mobile mode
@mixin landscape {
  @media (max-height: 450px) {
    @content;
  }
}

.checkout-panel__backdrop {
  background: $modal-backdrop-color;
  height: 100vh;
  left: 0;
  position: fixed;
  top: 0;
  width: 100vw;
}

.checkout-panel {
  background: #fff;
  box-shadow: $box-shadow;
  display: flex;
  flex-direction: column;
  height: 100vh;
  padding: 20px 0;
  position: fixed;
  right: 0;
  top: 0;
  width: 100%;
  z-index: 10;

  @include xs {
    padding: 13px 0;
    width: 400px;
  }

  @include landscape {
    padding: 10px 0;
  }
}

.checkout-panel__close {
  height: 20px;
  position: absolute;
  right: 10px;
  top: 10px;
  width: 20px;

  @include sm {
    right: 15px;
    top: 15px;
  }
}

.checkout-panel__cart {
  border-bottom: 1px solid $divider-color;
  padding-bottom: 10px;
  width: 100%;
}

.checkout-panel__cart-icon {
  height: 25px;
  margin-bottom: -5px;
  margin-left: 20px;
  width: 25px;
}

.checkout-panel__items {
  flex-basis: 0;
  flex-grow: 1;
  overflow-y: auto;
  padding-bottom: 20px;
}

.checkout-panel__buttons {
  padding: 0 10px;

  @include xs {
    padding: 0 20px;
  }
}

.checkout-panel__button {
  background: $button-background;
  border: 2px solid $button-border-color;
  color: $button-color;
  cursor: pointer;
  display: block;
  font-size: 14px;
  font-weight: 600;
  line-height: 1.3em;
  margin: 10px auto 0;
  min-height: 50px;
  padding: 15px 20px;
  text-align: center;
  text-transform: uppercase;
  transition: background 0.3s, color 0.3s;
  width: 100%;

  &:hover {
    background: $button-background-hover;
    color: $button-color-hover;
  }

  @include xs {
    width: 90%;
  }

  @media (max-height: 450px) {
    min-height: 35px;
    padding: 0 20px;
  }
}

.checkout-panel__button--gray {
  background: $button-background-gray;
  border-color: $button-border-color-gray;
  color: $button-color-gray;
}

.checkout-panel__box {
  padding: 20px 10px 0;

  @include xs {
    padding: 20px 20px 0;
  }

  &--active {
    padding-bottom: 20px;
  }
}

.checkout-panel__box-header {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 20px;
}

.checkout-panel__box-status {
  border: 1px solid $divider-color;
  font-size: 18px;
  font-weight: bold;
  margin-right: 20px;
  padding: 8px;
  text-transform: uppercase;
}

.checkout-panel__box-change-size {
  font-size: 24px;
  padding: 20px;

  &:focus {
    outline-color: #6e1c1c;
  }
}

.change-box-size--4 .checkout-panel__box-change-size {
  font-size: 16px;
}

.checkout-panel__box-actions {
  text-align: left;

  @include xs {
    text-align: right;
  }

  a {
    font-size: 14px;
    text-decoration: underline;
  }
}

.checkout-panel__box-item {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  margin: 15px 0;
}

.checkout-panel__box-item__image {
  width: 70px;
}

.checkout-panel__box-item__name {
  flex-basis: 0;
  flex-grow: 1;
  line-height: 1.1em;
  padding: 0 15px 0 15px;
}

.checkout-panel__box-item__buttons {
  display: flex;
}

.checkout-panel__box-item__button {
  display: inline-block;
  height: 22px;
  width: 22px;
}

.checkout-panel__box-item__counter {
  height: 22px;
  line-height: 22px;
  margin: 0 10px;

  @include xs {
    margin: 0 15px;
  }
}

///////////////////////////
// Version 2 of Checkout //
///////////////////////////

.checkout-panel__button--full-size {
  width: 100%;
}

.checkout-panel__header-box {
  text-align: center;
}

.checkout-panel__status {
  font-size: 22px;
  font-weight: bold;
  padding-top: 10px;
}

.checkout-panel__header {
  align-items: flex-end;
  border-bottom: 1px solid $divider-color;
  display: flex;
  justify-content: space-between;
  padding: 10px 20px;

  a {
    font-size: 14px;
    text-decoration: underline;
  }

  @include landscape {
    padding: 0 20px;
  }
}
